#ifndef EEZ_LVGL_UI_SCREENS_H
#define EEZ_LVGL_UI_SCREENS_H

#include <lvgl/lvgl.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _objects_t {
    lv_obj_t *rollo_pos;
    lv_obj_t *menu;
    lv_obj_t *rollos;
    lv_obj_t *obj0;
    lv_obj_t *obj1;
    lv_obj_t *lam0;
    lv_obj_t *lam1;
    lv_obj_t *lam2;
    lv_obj_t *lam3;
    lv_obj_t *lam4;
    lv_obj_t *lam5;
    lv_obj_t *lam6;
    lv_obj_t *lam7;
    lv_obj_t *lam8;
    lv_obj_t *obj2;
} objects_t;

extern objects_t objects;

enum ScreensEnum {
    SCREEN_ID_ROLLO_POS = 1,
    SCREEN_ID_MENU = 2,
    SCREEN_ID_ROLLOS = 3,
};

void create_screen_rollo_pos();
void tick_screen_rollo_pos();

void create_screen_menu();
void tick_screen_menu();

void create_screen_rollos();
void tick_screen_rollos();

void tick_screen_by_id(enum ScreensEnum screenId);
void tick_screen(int screen_index);

void create_screens();


#ifdef __cplusplus
}
#endif

#endif /*EEZ_LVGL_UI_SCREENS_H*/